@import "../../main.scss";

.App {
    .content {
        width: 100%;
        min-height: 90vh;
        background-color: white;
    }
}


.header {
    @include layout(row, space-between, center);
    background-color: white;
    height: 10vh;
    padding: 1% 0;
        
    .logo {
        margin-left: 20px;
        letter-spacing: 1px;
        font-weight: lighter;
    }
    
    .links {
        @include layout(row, space-between, center);

        .link {
            height: 3vh;
            @include link_colors(black, black, #474747, #474747);
            text-decoration: none;
            margin-right: 30px;
            letter-spacing: 1px;
            font-size: large;

            &:hover {
                border-bottom: 1px solid rgb(161, 161, 161);
                border-top: 1px solid rgb(161, 161, 161);
            }
        }
    }
    
    .buttons {
        @include layout(row, space-between, center);
        width: 22%;

        .button{
            font-size: medium;
            letter-spacing: 1pt;
            color: white;
            background-color: rgb(36, 143, 132);
            padding: 5px 10px;
            border-radius: 8px;
            outline: 0;
            border: none;

            &:hover {
                background-color: grayscale($color: #94f0f0);
            }
        }
    }
    
}    

.footer {
    @include layout(column, space-between, flex-start);
    height: 40%;
    width: 100%;
    background: black;

    a {
        @include link_colors(gray, gray, #bbbbbb, #bbbbbb);
        text-decoration: none;
    }

    .up {
        @include layout(row, space-between, flex-start);
        margin-left: 10%;
        margin-top: 2%;
        width: 80%;

        .public {
            @include layout(column, space-between, flex-start);
            color: gray;
            letter-spacing: 1pt;
            font-weight: lighter;

            .publicContent {
                margin-top: 40%;
                font-size: medium;
            }
        }

        .contact {
            @include layout(column, space-between, flex-start);
            color: gray;
            letter-spacing: 1pt;
            font-weight: lighter;
            margin: 0px 40px;

            .contactContent {
                margin-top: 40%;
                font-size: medium;
            }
        }
    } 

    .termeni {
        @include layout(row, space-between, flex-start);
        width: 40%;
        margin-left: 10%;
        margin-top: 2%;
        font-size: medium;
        letter-spacing: 1pt;
        font-weight: lighter;
    }
}
